Bug 466790 - Atop logrotate scripts broken
Atop logrotate scripts broken
Status: CLOSED CURRENTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: atop (Show other bugs)
el5
All Linux
medium Severity high
: ---
: ---
Assigned To: Kairo Francisco de Araujo
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-13 12:26 EDT by Jonathan Steffan
Modified: 2008-10-17 12:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-17 12:51:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Steffan 2008-10-13 12:26:51 EDT
Description of problem:
atop logrotate script /etc/logrotate.d/atop is broken and breaks logrotate

Version-Release number of selected component (if applicable):
atop-1.23-6.el5

How reproducible:
always

Steps to Reproduce:
1. yum install atop 
2. logrotate -v /etc/logrotate.conf
  
Actual results:
reading config file /etc/logrotate.conf
including /etc/logrotate.d
reading config file acpid
reading config info for /var/log/acpid 
reading config file atop
reading config info for /var/log/atop/atop.log 
error: atop:prerotate or postrotate without endscript

Expected results:
logrotate runs.
Comment 1 Kairo Francisco de Araujo 2008-10-13 14:17:25 EDT
Jonathan,

Please try the version atop-1.23-8.el5
http://download.fedora.redhat.com/pub/epel/5/i386/

%changelog
* Mon Jul 21 2008 Kairo Araujo <kairoaraujo@gmail.com> - 1.23-8
- add bug fixes for #455223 and #455375
  logrotate output error:
  error: atop:prerotate or postrotate without endscript

* Mon May  5 2008 Kairo Araujo <kairoaraujo@gmail.com> - 1.23-7
- add bug fixes for #445174

* Thu Apr  3 2008 Kairo Araujo <kairoaraujo@gmail.com> - 1.23-6
- removed variable DATALIFE from atop.d and atop.crondaily

* Wed Apr  2 2008 Kairo Araujo <kairoaraujo@gmail.com> - 1.23-5
- improved atop.d and atop.crondaily (Manuel Wolfshant)
Comment 2 Kairo Francisco de Araujo 2008-10-17 12:51:57 EDT
This bug are fixed on version atop-1.23-8.el5

Note You need to log in before you can comment on or make changes to this bug.